<?php

declare(strict_types=1);

namespace Inpsyde\MultilingualPress\Framework\Widget\Dashboard;

/**
 * Interface for all dashboard widget view implementations.
 */
interface View
{
    /**
     * Renders the widget's view.
     *
     * @param array $widgetInstanceSettings
     */
    public function render(array $widgetInstanceSettings);
}
